import { Scene } from '@babylonjs/core/scene';
import { PBRMetallicRoughnessMaterial } from '@babylonjs/core/Materials/PBR/pbrMetallicRoughnessMaterial';
export interface CustomMaterial {
    name: string;
    fileName: string;
    blob: string;
    isStdMat: boolean;
    isIDM3D: boolean;
    scene: Scene;
    tiling?: {
        tileU: number;
        tileV: number;
    };
}
declare const customMat: (customMat: CustomMaterial, setDataRow?: boolean) => Promise<{
    mat: PBRMetallicRoughnessMaterial;
    found: boolean;
}>;
export default customMat;
//# sourceMappingURL=index.d.ts.map