import { Scene } from '@babylonjs/core/scene';
import { ApiConfig } from '@crystaldesign/diva-core';
import { UIConfig, ViewHandler } from '.';
import { GridStore } from './store/GridStore';
import { SceneStore } from './store/SceneStore';
import { UIStore } from './store/UIStore';
import { UtilStore } from './store/UtilStore';
import { ViewpointCamInfo } from '.';
export interface Context {
    sceneStore: SceneStore;
    utilStore: UtilStore;
    gridStore: GridStore;
    uiStore: UIStore;
}
export declare const unregisterContext: () => void;
export declare const registerContext: (scene: Scene, hqRenderScript: string, apiConfig: ApiConfig, jwt?: string, viewHandler?: ViewHandler, onMissingGeo?: () => void, requestNewOverlayImage?: any, overlayImage?: {
    base64: string;
    isStaticBg: boolean;
    isStart: boolean;
}, uiConfig?: UIConfig, updateCameraInformation?: (cam: ViewpointCamInfo) => void, isMobile?: boolean) => {
    utilStore: UtilStore;
    sceneStore: SceneStore;
    uiStore: UIStore;
    gridStore: GridStore;
};
export declare const useUIStoreContext: () => UIStore;
export declare const useSceneStoreContext: () => SceneStore;
export declare const useGridStoreContext: () => GridStore;
export declare const useUtilStoreContext: () => UtilStore;
//# sourceMappingURL=context.d.ts.map