import { Vector3 } from '@babylonjs/core/Maths/math.vector';
import { ICameraInput } from '@babylonjs/core/Cameras/cameraInputsManager';
import { FreeCamera } from '@babylonjs/core/Cameras/freeCamera';
export interface CamObject {
    name: string;
    pos: Vector3;
    rot: Vector3;
    targetPos: undefined;
    horiFov: number;
    vertFov: number;
    isPhysCam: boolean;
    lensShiftX: number;
}
export interface CustomCamControls extends ICameraInput<FreeCamera> {
    camera: FreeCamera;
    onMouseDown: any;
    onMouseUp: any;
    onMouseMoveTarget: any;
    onMouseScroll: any;
}
//# sourceMappingURL=type.d.ts.map